using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace BeWo.Converter
{
    public class ClientType2VisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null || parameter == null)
            {
                return Visibility.Collapsed;
            }

            int clienttype = 0;
            if (parameter is string)
            {
                Int32.TryParse((string)parameter, out clienttype);

                if (clienttype == BeWoApp.Mandator.BeWoClientType)
                {
                    return Visibility.Visible;
                }
            }

            return Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}